from PIL import Image


def fix_image_resolution(image_path, size=(0,0)):
	if image_path == None or size == (0,0):
		return None

	with Image.open(image_path) as image:
		return image.convert("RGB").resize(size)
